### Method

# Secret Service create_collection_dbus_path_finish

#### Declaration [src]

    gchar*
    secret_service_create_collection_dbus_path_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish asynchronous operation to create a new collection in the secret service.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A new string containing the D-Bus object path of the collection.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.